Subject: Re: git-kompare

From: Jean-Marc Valin <[email-masked]>
Date: Sat, 25 Aug 2007 10:17:13 +1000

> Adding the patch to your version isn't hard. Just download the source package
> and add the patch in the patches section and rebuild. That's how I lived with
> the fix until Mandriva delivered a newer KDE version. Thanks to the kdesdk src
> rpm I could rebuild the package fairly easily without dowloading, configuring
> and builing most of KDE. The src rpm declare the dependencies I need. My 
> guess is that is about as easy with dpkg, ebuilds or ports.

Unless I missed something, there are more things to work around than the
one that was fixed in your patch, no? For example, the fact that kompare
doesn't understand when the filename is /dev/null. As for upgrading
kompare, I'm all for the idea, but the KDE folks aren't making that
easy. The only link in the Kompare download section is for www.kde.org,
which isn't making the source code any easier to find (including a 404
link for "Source code" on the front page!). Any direct link?

BTW, I'm running the latest Ubuntu (Feisty) that ships with kompare 3.4.

	Jean-Marc